/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is openCRX.
 *
 * The Initial Developer of the Original Code is
 * Josh Geenen <openrx@pirules.net>.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
 
window.addEventListener("load", function CardDialogOverlay_loadListener(e) {
  oAbNameDialog.init();
}, false);

var ab;

var oAbNameDialog = {
  init: function oAbNameDialog_init() {
    if (!gDirectory)
      abNameOnLoad(); // make sure the original script has loaded
    oPreferences.getSyncPrefs(); // get the preferences
    oFileIO.init(); // initialize the FileIO class
    abNameOKButton = newAbNameOKButton;
    try {
      ab = gDirectory ? new oAddressBook(gDirectory) : null;
      var textbox = document.getElementById("name");
      var label = textbox.previousSibling;
      var hbox = textbox.parentNode;
      var vbox = document.createElement("vbox");
      hbox.parentNode.appendChild(vbox);
      hbox.parentNode.removeChild(hbox);
      var urlBox = document.createElement("textbox");
      urlBox.setAttribute("id", "openCrxUrl");
      urlBox.setAttribute("value", ab ? ab.getUrl() : "");
      urlBox.setAttribute("flex", "1");
      var urlLabel = document.createElement("label");
      urlLabel.setAttribute("control", "openCrxUrl");
      urlLabel.setAttribute("value", oStringBundle.getStr("openCrxUrlLbl"));
      vbox.appendChild(label);
      vbox.appendChild(textbox);
      vbox.appendChild(urlLabel);
      vbox.appendChild(urlBox);
      window.sizeToContent();
      abNameOnLoad();
    } catch (e) { alert(e); }
  }
};

function newAbNameOKButton() {
  var newName = gNameInput.value.replace(/^\s+|\s+$/g, '');

  if (ab) // rename the directory
    ab.setName(newName);
  else // or make a new directory with the name
    ab = new oAddressBook(oAbManager.getAbByName(newName));

  if (ab) // update or set the URL
    ab.setUrl(document.getElementById("openCrxUrl").value);
  return true;
}
